.\"	$NetBSD: installboot.8,v 1.7 2001/11/24 16:38:08 perry Exp $
.\"
.Dd May 31, 1995
.Dt INSTALLBOOT 8 mvme68k
.Os
.Sh NAME
.Nm installboot
.Nd install a bootstrap on a UFS disk
.Sh SYNOPSIS
.Nm /usr/mdec/installboot
.Fl n | Fl v
.Ar ufsboot
.Ar bootxx
.Ar rawdev
.Sh DESCRIPTION
.Nm
is used to install a "first-stage" boot program into the boot area
of a UFS disk partition, and initialize the table of block numbers the
.Ar bootxx
program uses to load the second-stage boot program.
.Pp
The options are as follows:
.Bl -tag -width flag
.It Fl n
Do not actually write anything on the disk.
.It Fl v
Be verbose, printing out the block numbers that
.Ar bootxx
will use to load
.Ar ufsboot .
.El
.Pp
The arguments are:
.Bl -tag -width ufsboot
.It Ar ufsboot
the name of the second-stage boot program in the file system
where the first-stage boot program is to be installed.
.It Ar bootxx
the name of the prototype file for the first stage boot program.
.It Ar rawdev
the name of the raw device in which the first-stage boot program
is to be installed.  This should correspond to the block device
on which the file system containing
.Ar ufsboot
is mounted.
.El
.Sh SEE ALSO
.Xr disklabel 8 ,
.Xr init 8
.Sh BUGS
.Nm
requires simultaneous access to the mounted file system and
the raw device, but that is not allowed with the kernel
.Dv securelevel
variable set to a value greater than zero (the default), so
.Nm
only works in single-user mode (or insecure mode - see
.Xr init 8 ) .
